package swampfile

import (
	"io"
	"time"
)

type SwampOutFile interface {
	Path() string
	Size() int64
	Modified() time.Time
	io.Reader
	io.Seeker
	io.Closer
}

type SwampInFile interface {
	Path() string
	Size() int64
	Modified() time.Time
	io.Writer
	io.Seeker
	io.Closer
}

type FileReference struct {
	Path      string
	UserAgent string
}
